import requests

API_URL = "https://cutt.ly/api/api.php"
API_KEY = "c79eb9b57585103c83390d785f62fb71"


def url_shortener(long_link: str):
    params = {'key': API_KEY, 'short': long_link}
    request = requests.get(API_URL, params=params)
    req_data = request.json()

    if url_data := req_data.get('url'):
        if url_data['status'] == 7:
            short_link = url_data['shortLink']
            print('Short link:', short_link)
        else:
            print('Error msg:', url_data['status'])


def main():
    link = input('Please enter long link: ')
    url_shortener(link)


if __name__ == '__main__':
    main()
